Subject: XinTianMa/GB-Big5/CCDOS

From: "The United States-China Business Council" <[email-masked]>
Date: Wed, 4 Dec 1991 06:52:00 GMT

..............................................................................
Dorothy Day (Subject:  Big 5 and scholarly usage) writes:

 >BTW, has anyone on this list tried Xin TianMa, which is now entirely
 >hard-disk based (but with a hardware "key" on the parallel port)? I
 >know it's been released, but haven't spoken with anyone who has used
 >it.

The China Business Review, March/April 1991, Vol 18, No.2, pp 16-20, contains
an article "Making Computers Chinese Compatible" which includes a capsule
comparison of several Chinese language software offerings (including
XinTianma) from a business/wordprocessing perspective.  NB: Review based on
pre-release version of XTM, some of listed features may not yet have been
incorporated.  Some user reports indicate satisfaction with program; however,
386 based PC probably required for adequate speed.

.............................................................................
Ned Walsh (Subject:  Re: GB versus BIG-5) writes:

 >Tianma and Guoqiao support both traditional and simplified characters--but
 >only one set at a time; you can't mix the two in the same file.

Latest version of Tianma (XinTianma) allows mixing of simplified/traditional
characters in same file.  ETen is now marketing a "Jian/Fan" (Simplified/
Traditional) Chinese system in Taiwan.  Don't know if it allows combining
sets, but suspect it does.

 >And while I'm in a whining sort of mood, I might as well mention
 >there's still no solution to the sorting problem I mentioned last
 >month.

Amen.  For all the GB-Big5 give-and-take, this seems to be the most telling
point (as Yongguang Zhang set forth recently, Subject: GB vs BIG-5: technical
point of view

 >  hanzi:
 >     level 1: 3755 (in pinyin pronunciation order),
 >     level 2: 3008 (in radical order).                    )

>From a nonprogrammer's viewpoint, I don't see how an encoding scheme such as
GB that uses two different principles for ordering its level 1 and level 2
character sets can be seen as desirable.  I recently had the opportunity to
ask a PRC programmer who had worked on the official Chinese version of
dBase IV how the program would be able to uniformly sort a data file
containing characters from both levels, and the answer was simply to employ
the work-around of creating an additional alphanumeric coding field for
sorting purposes.  I don't see this as a satisfactory solution, but perhaps
I am missing something?

.............................................................................
REITSMAC (Subject:  Where can I get info...) writes:

 >Can anyone point me in the right direction towards a vendor for CCDOS or
 >WordStar - Chinese?

The "official" CCDOS/Wordstar software can be purchased in the PRC from:

   Chen Furui, Director Manager
   Technical Marketing Department
   6th Research Institute
   Ministry of Machine Building & Electronics Industry
   No.25 East Qing Hua Road
   Haidian District PO Box 927
   Beijing, PRC  100083
   Tel: 2015882  Tlx: (01) 2018672  Cbl: 0362

I don't know if they are willing to ship the software in question out of PRC.
Of course, many (improved?) variants of CCDOS can be purchased from private
software vendors in China (technically pirated), and the Chinese version of
WordStar itself is a pirate of the WordStar company's program.  Be extremely
cautious of viruses on ANY copies of this software obtained from ANY source.
.............................................................................
Jeff Kao, The US-China Business Council
.............................................................................